portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ate Douma <...@douma.nu>
Subject Re: Moving Jetspeed to Java 1.5.
Date Wed, 10 Oct 2007 14:04:59 GMT
Weaver, Scott wrote:
> Has any thought been given to this?  
Yes :)

For the trunk (2.2-SNAPSHOT) we've already moved to 1.5.

> I am guessing if we are kicking
> around the idea of using JPA to replace OJB, it will be a requirement
> due to the use of annotations and generics. 
The primary requirement of moving to 1.5 is JSR-286 Portlet API 2.0 support which we hope
to bring into 2.2 (or shortly thereafter).

> My personal reason for
> asking (other than generics and annotations, both of which Iuse daily in
> other projects) is that I really like using EasyMock 2.3 for unit
> testing and it only works under Java 1.5+.  If we are definitely moving,
> is there a timeline? 
 > Will the 2.1.3 branch be changed to 1.5?
No. For 2.1.x we will maintain 1.4 compliance.

Regards,

Ate
> 
>  
> 
> Thanks,
> 
> -scott
> 
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@portals.apache.org
For additional commands, e-mail: jetspeed-dev-help@portals.apache.org


Mime
View raw message